Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1151320 - [abrt] java-1.8.0-openjdk-headless: os::abort(bool)(): java killed by SIGABRT
Summary: [abrt] java-1.8.0-openjdk-headless: os::abort(bool)(): java killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: java-1.8.0-openjdk
Version: 21
Hardware: ppc64le
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Chris Phillips @ TO
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:4ea1c22ef75b111c32f54ab4781...
Depends On:
Blocks: F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2014-10-10 06:57 UTC by Dan Horák
Modified: 2015-12-02 16:22 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 04:12:27 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-10-10 06:57 UTC, Dan Horák
no flags Details
File: cgroup (deleted)
2014-10-10 06:57 UTC, Dan Horák
no flags Details
File: core_backtrace (deleted)
2014-10-10 06:57 UTC, Dan Horák
no flags Details
File: dso_list (deleted)
2014-10-10 06:57 UTC, Dan Horák
no flags Details
File: environ (deleted)
2014-10-10 06:57 UTC, Dan Horák
no flags Details
File: hs_err.log (deleted)
2014-10-10 06:57 UTC, Dan Horák
no flags Details
File: limits (deleted)
2014-10-10 06:57 UTC, Dan Horák
no flags Details
File: maps (deleted)
2014-10-10 06:57 UTC, Dan Horák
no flags Details
File: open_fds (deleted)
2014-10-10 06:57 UTC, Dan Horák
no flags Details
File: proc_pid_status (deleted)
2014-10-10 06:57 UTC, Dan Horák
no flags Details
File: var_log_messages (deleted)
2014-10-10 06:57 UTC, Dan Horák
no flags Details

Description Dan Horák 2014-10-10 06:57:25 UTC
Description of problem:


Version-Release number of selected component:
java-1.8.0-openjdk-headless-1.8.0.20-12.b26.fc21

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        java -Xshare:dump
crash_function: os::abort(bool)
executable:     /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.20-12.b26.fc21.ppc64le/jre/bin/java
kernel:         3.14.0-1.fc21.ppc64le
runlevel:       N 5
type:           CCpp
uid:            1004

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 os::abort(bool) at /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.20-12.b26.fc21.ppc64le/jre/lib/ppc64/server/libjvm.so
 #3 VMError::report_and_die() at /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.20-12.b26.fc21.ppc64le/jre/lib/ppc64/server/libjvm.so
 #4 report_unimplemented(char const*, int) at /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.20-12.b26.fc21.ppc64le/jre/lib/ppc64/server/libjvm.so
 #5 MetaspaceShared::generate_vtable_methods(void**, void**, char**, char*, char**, char*) at /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.20-12.b26.fc21.ppc64le/jre/lib/ppc64/server/libjvm.so
 #6 VM_PopulateDumpSharedSpace::doit() at /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.20-12.b26.fc21.ppc64le/jre/lib/ppc64/server/libjvm.so
 #7 VM_Operation::evaluate() at /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.20-12.b26.fc21.ppc64le/jre/lib/ppc64/server/libjvm.so
 #8 VMThread::evaluate_operation(VM_Operation*) at /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.20-12.b26.fc21.ppc64le/jre/lib/ppc64/server/libjvm.so
 #9 VMThread::loop() at /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.20-12.b26.fc21.ppc64le/jre/lib/ppc64/server/libjvm.so
 #10 VMThread::run() at /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.20-12.b26.fc21.ppc64le/jre/lib/ppc64/server/libjvm.so
 #11 java_start(Thread*) at /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.20-12.b26.fc21.ppc64le/jre/lib/ppc64/server/libjvm.so

Comment 1 Dan Horák 2014-10-10 06:57:29 UTC
Created attachment 945470 [details]
File: backtrace

Comment 2 Dan Horák 2014-10-10 06:57:30 UTC
Created attachment 945471 [details]
File: cgroup

Comment 3 Dan Horák 2014-10-10 06:57:31 UTC
Created attachment 945472 [details]
File: core_backtrace

Comment 4 Dan Horák 2014-10-10 06:57:32 UTC
Created attachment 945473 [details]
File: dso_list

Comment 5 Dan Horák 2014-10-10 06:57:33 UTC
Created attachment 945474 [details]
File: environ

Comment 6 Dan Horák 2014-10-10 06:57:35 UTC
Created attachment 945475 [details]
File: hs_err.log

Comment 7 Dan Horák 2014-10-10 06:57:36 UTC
Created attachment 945476 [details]
File: limits

Comment 8 Dan Horák 2014-10-10 06:57:37 UTC
Created attachment 945477 [details]
File: maps

Comment 9 Dan Horák 2014-10-10 06:57:39 UTC
Created attachment 945478 [details]
File: open_fds

Comment 10 Dan Horák 2014-10-10 06:57:40 UTC
Created attachment 945479 [details]
File: proc_pid_status

Comment 11 Dan Horák 2014-10-10 06:57:41 UTC
Created attachment 945480 [details]
File: var_log_messages

Comment 12 Chris Phillips @ TO 2014-10-10 17:19:27 UTC
Hi
Not sure ppc64 supports -Xshare:dump yet, will check.

Chris

Comment 13 Dan Horák 2014-10-10 17:34:03 UTC
I should have mention I saw the segfault from -Xshare:dump in a output from some scriptlet - see root.log at http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=2141823 - and then I reproduced it and reported with abrt.

Comment 14 Chris Phillips @ TO 2014-10-10 18:10:47 UTC
Hi  Yes it looks like SAP (who did the ppc64 port) don't use Class Data Sharing so
they haven't spent any time on it. If we want it to work, we'll have to fix it I guess... Deepak?

Chris
PS
The google folk who did most of the ppc64le stuff may be doing it so I'll send an email and find out.

Comment 15 Deepak Bhole 2014-10-10 19:20:09 UTC
Does CDS offer us any significant advantage? If it is just a matter of preventing an abort for compatibility, I am fine with adding the option as a noop.

Comment 16 Chris Phillips @ TO 2014-10-22 15:03:32 UTC
Hi
OK this is 8038268: VM Crashes in MetaspaceShared::generate_vtable_methods while creating CDS archive with limiting SharedMiscCodeSize.
A fix is in the pipe so will see what it takes to integrate.

Chris

Comment 17 Severin Gehwolf 2014-10-29 11:55:59 UTC
(In reply to Chris Phillips @ TO from comment #16)
> Hi
> OK this is 8038268: VM Crashes in MetaspaceShared::generate_vtable_methods
> while creating CDS archive with limiting SharedMiscCodeSize.
> A fix is in the pipe so will see what it takes to integrate.

Hmm, why do you think it's 8038268? That bug is for x86_64. Also this trace from the ppc64 hs_err.log suggests it's not implemented yet.

#  Internal Error (metaspaceShared_ppc.cpp:59), pid=13308, tid=70366187352480
#  Error: Unimplemented()
#
# JRE version:  (8.0_20-b26) (build )
# Java VM: OpenJDK 64-Bit Server VM (25.20-b23 interpreted mode linux-ppc64 compressed oops)

Comment 19 Fedora End Of Life 2015-11-04 14:58:29 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 20 Fedora End Of Life 2015-12-02 04:12:35 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.